Version 5.60 de Pap’rass

La version 5.60 de Pap’rass est disponible en téléchargement.

Cette version apporte diverses améliorations:

  • Un nouveau thème d’icônes plus explicite
  • L’abandon de la bibliothèque python3-poppler-qt5 qui posait des problèmes selon la version installée sur la machine hôte, au profit de mon propre moteur d’affichage des PDF basé sur l’utilitaire pdftoppm présent sur toutes les distributions linux.
  • Une amélioration de la fonction d’exportation d’un document qui permet maintenant de choisir, lorsque le document est composé de plusieurs images, d’exporter le document en entier sous forme de PDF ou de n’exporter que la seule image affichée.

Toutes les fonctionnalités de l’ancienne version sont présentes et les documents enregistrés lors des versions antérieures sont repris en toute transparence sans la moindre intervention de l’utilisateur.

La révision 5.61 corrige un problème d’affichage de certains PDF, et la révision 5.62 optimise les fonctions d’améliorations d’images lors de leur numérisation.

Pour pouvoir fonctionner, Pap’rass a besoin des dépendances suivantes:

  • python 3.x (en général déjà installé sur la plupart des distributions)
  • python3-pyqt5
  • python3-pil
  • python3-reportlab
  • poppler-utils (en général déjà installé sur la plupart des distributions)
  • sane-utils (en général déjà installé sur la plupart des distributions)

Pour celles qui ne seraient pas déjà installées sur votre système, utiliser votre gestionnaire de paquets pour le faire.

N’utilisez pas pip3 pour installer python3-pyqt5 si vous voulez éviter une désynchronisation des versions avec votre système.

Une fois téléchargée sous ce lien l’archive doit être décompressée pour obtenir le dossier de l’application nommé Paprass.

C’est le fichier paprass.py (marqué comme étant exécutable) qui permet de lancer le programme …

Laisser un commentaire